CreateAction (Struts Core 1.3.10 API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.chain.commands.servlet
Class CreateAction

    java.lang.Object
      org.apache.struts.chain.commands.ActionCommandBase
          org.apache.struts.chain.commands.AbstractCreateAction
              org.apache.struts.chain.commands.servlet.CreateAction

All Implemented Interfaces:
  org.apache.commons.chain.Command, ActionCommand

    public class CreateAction

extends AbstractCreateAction

Concrete implementation of `AbstractCreateAction` for use in a Servlet API chain. Expects that the ActionContext passed into it can safely be cast to `ServletActionContext`.

Field Summary

Fields inherited from interface org.apache.commons.chain.Command
`CONTINUE_PROCESSING, PROCESSING_COMPLETE`

Constructor Summary
`CreateAction()`

Method Summary
`protected Action` | `createAction(ActionContext context, String type)` Invoked by `getAction` when the `Action` actually has to be created.
`protected Action` | `getAction(ActionContext context, String type, ActionConfig actionConfig)` Create and return the appropriate `Action` class for the given `type` and `actionConfig`.

Methods inherited from class org.apache.struts.chain.commands.AbstractCreateAction
`execute`

Methods inherited from class org.apache.struts.chain.commands.ActionCommandBase
`execute`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CreateAction

    public CreateAction()

Method Detail

### getAction

    protected Action getAction(ActionContext context,
                               String type,
                               ActionConfig actionConfig)
                        throws Exception

  Description copied from class: `AbstractCreateAction`

  Create and return the appropriate `Action` class for the given `type` and `actionConfig`.

  NOTE: The dependence on ActionServlet suggests that this should be broken up along the lines of the other Abstract/concrete pairs in the org.apache.struts.chain.commands package.

  Specified by:
    `getAction` in class `AbstractCreateAction`
  Parameters:
    `context` - The `Context` for this request
    `type` - Name of class to instantiate
    `actionConfig` - The `ActionConfig` for this request
  Returns:
    Instantiated Action class
  Throws:
    `Exception` - if there are any problems instantiating the Action class.

### createAction

    protected Action createAction(ActionContext context,
                                  String type)
                           throws Exception

  Invoked by `getAction` when the `Action` actually has to be created. If the instance is already created and cached, this method will not be called.

  Parameters:
    `context` - The `Context` for this request
    `type` - Name of class to instantiate
  Returns:
    Instantiated Action class
  Throws:
    `Exception` - if there are any problems instantiating the Action class.
  Since:
    Struts 1.3.7

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.